# Method

Methods are used to indicate the type of operation requested for a route. They're part exclusively in [HTTP Requests](request.md) and are required.

Method  | Purpose
--------|---------
.get    | Used for retrieving content
.head   | Used for retrieving content metadata
.put    | Used for replacing content
.post   | Used for creating content
.delete | Used for deleting content

A [path](uri.md) is used for specifying a specific resource/content. The method influences the type of interaction with this resource/content.
